Subject: bug#22296: 25.1.50; Document changes to `delete-selection-mode'

From: Drew Adams <[email-masked]>
Date: Sun, 3 Jan 2016 10:52:23 -0800 (PST)

> > Really?  The fact that you (apparently) can no longer specify that
> > a given command is handled by killing the region?  The fact that
> > there is a new possible value for the property (what is it for)?
> >
> > How is a user supposed to understand how to use d-s-mode if these
> > things are not documented - either in a doc string or in a manual?
> 
> How did they understand this before?

It was in the doc string of d-s-mode.  Each of the possible
property values was described.

> This bug report says "please document changes to
> delete-selection-mode".  I have shown that what was documented before
> was updated.

No.  Previously the doc string documented the possible values
for the property.  The new value is missing.

(And the deprecated value was removed from the doc string
of the mode command but not from the doc string of *-helper.)

> You now say that its previous documentation was
> insufficient, which is an entirely different issue.

If you really think so, feel free to copy the info from this
report to another bug report.  Or just go ahead and ignore it.
Your choice.  I've reported it.

> > And we no longer announce deprecations?  Except in code comments?
> 
> Most of the deprecations are indeed never announced in NEWS, you see
> them when the byte compiler emits a warning to that effect.

Not a great policy, IMO.  But whatever.  So does the byte-compiler
warn you about this deprecation?  I don't think so.

> > Anyway, I've reported the problems I see.  Do with the information
> > what you will.
> 
> I did.

I see.